ExchangeAPIKey
POST
/platform/auth/v1/tokenRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/platformauth.v1.ExchangeAPIKeyRequest",
"$ref-value": {
"type": "object",
"properties": {
"api_key": {
"type": "string",
"examples": [
"rxl_Bq4y3QB38SFpzVPNx1cG"
],
"title": "api_key",
"pattern": "^[^_]+_[^_].*$"
}
},
"title": "ExchangeAPIKeyRequest",
"required": [
"api_key"
],
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/platformauth.v1.TokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "access_token"
},
"refresh_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "refresh_token"
},
"token_type": {
"type": "string",
"examples": [
"Bearer"
],
"title": "token_type"
},
"expires_in": {
"type": "string",
"examples": [
"3600"
],
"title": "expires_in",
"format": "int64"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "TokenResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/platform/auth/v1/token" \
-H "Content-Type: application/json" \
-d '{
"api_key": "rxl_Bq4y3QB38SFpzVPNx1cG"
}'Success
application/json
{
"$ref": "#/components/schemas/platformauth.v1.TokenResponse",
"$ref-value": {
"type": "object",
"properties": {
"access_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "access_token"
},
"refresh_token": {
"type": "string",
"examples": [
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJRd0VyVHkxMjM0In0.sig"
],
"title": "refresh_token"
},
"token_type": {
"type": "string",
"examples": [
"Bearer"
],
"title": "token_type"
},
"expires_in": {
"type": "string",
"examples": [
"3600"
],
"title": "expires_in",
"format": "int64"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "TokenResponse",
"additionalProperties": false
}
}